package test.org.seasar.framework.container.deployer;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * @author higa
 *
 */
public class DeployerAllTests {

	public static void main(String[] args) {
		junit.textui.TestRunner.run(DeployerAllTests.class);
	}

	public static Test suite() {
		TestSuite suite =
			new TestSuite("Test for test.org.seasar.framework.container.deployer");
		//$JUnit-BEGIN$
		suite.addTest(new TestSuite(OuterComponentDeployerTest.class));
		suite.addTest(new TestSuite(PrototypeComponentDeployerTest.class));
		suite.addTest(new TestSuite(SingletonComponentDeployerTest.class));
		//$JUnit-END$
		return suite;
	}
}
